Pipelines
Move a pipeline card
Moves a card to a different stage and/or position within the pipeline.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
funnels
/
{id}
/
cards
/
{card_id}
/
move
Move a pipeline card
curl --request POST \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/funnels/{id}/cards/{card_id}/move \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"target_stage_id": 9,
"position": 2
}
'import requests
url = "https://connect.voxys.ai/api/v1/accounts/{account_id}/funnels/{id}/cards/{card_id}/move"
payload = {
"target_stage_id": 9,
"position": 2
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_stage_id: 9, position: 2})
};
fetch('https://connect.voxys.ai/api/v1/accounts/{account_id}/funnels/{id}/cards/{card_id}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 55,
"funnel_id": 3,
"funnel_stage_id": 7,
"lead": {
"id": 42,
"custom_name": "Enterprise Deal - Q3",
"status": "open",
"lead_value": 15000,
"lead_currency": "USD",
"position": 1,
"notes": "Prospect from trade show",
"assigned_agent": {
"id": 1,
"name": "Jane Smith",
"email": "jane@example.com",
"avatar_url": "<string>"
},
"company": {
"id": 10,
"name": "Acme Corp",
"domain": "acme.com"
},
"conversation_id": 100,
"custom_attributes": {
"industry": "Technology",
"annual_revenue": 500000
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"position": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
API access token for authentication. Obtain from your Voxys Connect profile settings.
Path Parameters
The numeric ID of the account.
The ID of the pipeline.
The ID of the card.
Previous
Get card historyReturns the full activity history for a pipeline card (stage moves, field changes, etc.).
Next
⌘I
Move a pipeline card

